.TH curs_border 3 ""
.SH NAME
\fBborder\fR, \fBwborder\fR, \fBbox\fR,
\fBhline\fR, \fBwhline\fR, \fBvline\fR, 
\fBwvline\fR - create \fBncurses\fR borders, horizontal and vertical lines
.SH SYNOPSIS
\fB#include <ncurses.h>\fR
.br
\fBint border(chtype ls, chtype rs, chtype ts, chtype bs,
   chtype tl, chtype tr, chtype bl, chtype br);\fR
.br
\fBint wborder(WINDOW *win, chtype ls, chtype rs,
   chtype ts, chtype bs, chtype tl, chtype tr,
   chtype bl, chtype br);\fR
.br
\fBint box(WINDOW *win, chtype verch, chtype horch);\fR
.br
\fBint hline(chtype ch, int n);\fR
.br
\fBint whline(WINDOW *win, chtype ch, int n);\fR
.br
\fBint vline(chtype ch, int n);\fR
.br
\fBint wvline(WINDOW *win, chtype ch, int n);\fR
.br
.SH DESCRIPTION
The \fBborder\fR, \fBwborder\fR and \fBbox\fR routines draw a box around the
edges of a window.  The argument \fIls\fR is a character and attributes used
for the left side of the border, \fIrs\fR - right side, \fIts\fR - top side,
\fIbs\fR - bottom side, \fItl\fR - top left-hand corner, \fItr\fR - top
right-hand corner, \fIbl\fR - bottom left-hand corner, and \fIbr\fR - bottom
right-hand corner.  If any of these arguments is zero, then the following
default values (defined in \fBncurses.h\fR) are used instead: \fBACS_VLINE,
ACS_VLINE, ACS_HLINE, ACS_HLINE, \fBACS_ULCORNER, ACS_URCORNER, ACS_LLCORNER,
ACS_LRCORNER.\fR

\fBbox(\fR\fIwin\fR\gB, \fR\fIverch\fR\fB, \fR\fIhorch\fR\fB)\fR is a shorthand
for the following call: \fBwborder(\fR\fIwin\fR\fB,\fR \fIverch\fR\fB,\fR
\fIverch\fR\fB,\fR \fIhorch\fR\fB,\fR \fIhorch\fR\fB, 0, 0, 0, 0)\fR.

The \fBhline\fR and \fBwhline\fR functions draw a horizontal (left to right)
line using \fIch\fR starting at the current cursor position in the window.  The
current cursor position is not changed.  The line is at most \fIn\fR characters
long, or as many as fit into the window.

The \fBvline\fR and \fBwvline\fR functions draw a vertical (top to bottom) line
using \fIch\fR starting at the current cursor position in the window.  The
current cursor position is not changed.  The line is at most \fIn\fR characters
long, or as many as fit into the window.
.SH RETURN VALUE
All routines return the integer \fBOK\fR.  The SVr4.0 manual says "or a
non-negative integer if \fBimmedok\fR is set", but this appears to be an error.
.SH NOTES
The borders generated by these functions are \fIinside\fR borders (this
is also true of SVr4 curses, though the fact is not documented).

Note that \fBborder\fR and \fBbox\fR may be macros.
.SH BUGS
The \fBimmedok\fR function is not yet implemented in ncurses 1.8.6.
.SH SEE ALSO
\fBncurses\fR(3), \fBcurs_outopts\fR(3).
.\"#
.\"# The following sets edit modes for GNU EMACS
.\"# Local Variables:
.\"# mode:nroff
.\"# fill-column:79
.\"# End:
